# $Revision: 1.123 $, $Date: 2006/11/05 13:21:31 $
Summary:	Graphics file browser utility
Summary(pl):	Narzdzie do przegldania plikw graficznych
Name:		gqview
Version:	2.1.4
Release:	1
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/gqview/%{name}-%{version}.tar.gz
# Source0-md5:	c9cba9d671a851a5c2c8aa3fa082991e
Patch0:		%{name}-etc_dir.patch
Patch1:		%{name}-vfolders.patch
Patch2:		%{name}-home_etc.patch
Patch3:		%{name}-localenames.patch
URL:		http://gqview.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	intltool
BuildRequires:	libpng-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	libjpeg-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32		-fomit-frame-pointer 

%description
GQview is a browser for graphics files. Offering single click viewing
of your graphics files. Includes thumbnail view, zoom and filtering
features. And external editor support.

%description -l fr
GQview est un explorateur de fichiers graphiques. Il permet d'un
simple clic l'affichage de vos fichiers graphiques. Les capacits
suivantes sont incluses: vue d'imagettes, zoom, filtres et support
d'diteurs externes.

%description -l pl
GQview jest przegldark plikw graficznych. Moesz przeglda swoje
pliki graficzne jednym klikniciem myszy. Zawiera widok miniatur, zoom
i opcje filtrowania, jak rwnie wsparcie dla zewntrznego edytora.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f po/{no,nb}.po
mv -f po/{zh_CN.GB2312,zh_CN}.po

%build
%{__intltoolize}
%{__glib_gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install AUTHORS README TODO ChangeLog $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
gzip -9nf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/{AUTHORS,TODO,ChangeLog}
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/COPYING

%find_lang %{name}

%post
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
#doc AUTHORS README TODO ChangeLog
%docdir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/
%attr(755,root,root) %{_bindir}/gqview
%{_desktopdir}/gqview.desktop
%{_pixmapsdir}/gqview.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gqview.spec,v $
Revision 1.123  2006/11/05 13:21:31  wolf
- 2.1.4

Revision 1.122  2006/11/04 22:37:57  megabajt
- updated to 2.1.3

Revision 1.121  2006/10/31 19:49:38  darekr
- rel. 1

Revision 1.120  2006/10/31 18:21:01  maciek2w
- updated to 2.1.2

Revision 1.119  2006/08/23 20:17:15  havner
- rel 4

Revision 1.118  2006/08/07 18:20:03  havner
- dont pack license file
- dont compress README

Revision 1.117  2006/08/04 07:58:56  wrobell
- do not skip directory containing gqview documentation
- rel. 3

Revision 1.116  2006/07/23 21:54:36  havner
- intltoolize before glib_gettextize
- leave html docs in docdir (they are used in help menu), dont know any
  cleaner way of doing it (if there is one)
- rel 2

Revision 1.115  2005/10/15 11:07:26  wolf
- removed debug.patch

Revision 1.114  2005/10/15 10:57:32  saq
- debug.patch (by abram) to skip startup banner (the same info is available
  in README)

Revision 1.113  2005/06/14 09:26:06  wolf
- 2.1.1

Revision 1.112  2005/05/11 20:03:27  freetz
- new style macros

Revision 1.111  2005/03/07 01:53:38  koorek
- updated to 2.1.0

Revision 1.110  2005/02/27 10:01:30  paladine
- updated to 2.0.0
- proper license

Revision 1.109  2005/02/20 08:18:56  adamg
- updated to 1.5.9

Revision 1.108  2005/02/06 19:18:20  adamg
- updated to 1.5.7
- dropped -credits.patch
- call glib-gettextize, intltoolize (BR: glib2-devel, intltool)

Revision 1.107  2005/01/08 07:46:53  adamg
- updated to 1.5.6

Revision 1.106  2004/12/28 01:45:36  adamg
- workaround for broken sourceforge.net (what's up with it? it works
  for me locally)

Revision 1.105  2004/12/28 01:32:05  adamg
- updated to 1.5.5

Revision 1.104  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.103  2004/11/11 10:19:30  paladine
- updated to 1.5.4

Revision 1.102  2004/10/16 21:39:09  paladine
- rel 2 for fixed vfolders patch

Revision 1.101  2004/10/16 12:10:56  wolf
- 1.5.3

Revision 1.100  2004/09/20 19:41:06  kali
- desktop fix, rel. 2

Revision 1.99  2004/08/28 09:49:22  adamg
- updated to 1.5.2

Revision 1.98  2004/06/20 21:36:43  arekm
- fix specflags (quotation here is buggy)

Revision 1.97  2004/04/05 20:43:05  adamg
- updated to 1.5.1

Revision 1.96  2004/03/13 15:40:44  adamg
- updated to 1.5.0

Revision 1.95  2004/03/02 09:42:31  adamg
- updated to 1.4.1

Revision 1.94  2004/02/29 14:43:41  gotar
- added credits patch, release 2

Revision 1.93  2004/02/21 13:56:44  wolf
- 1.4.0

Revision 1.92  2004/02/03 21:57:51  wolf
- 1.3.9

Revision 1.91  2004/01/30 15:23:55  qboosh
- added localenames patch, rename locales (no->nb, zh_CN.GB2312->zh_CN); release 2

Revision 1.90  2004/01/27 17:32:48  erjot
- R: libjpeg-progs for Edit/Rotate
- by PawciooS pawcio_s at go2 dot pl

Revision 1.89  2004/01/24 16:41:18  adamg
- updated to 1.3.8

Revision 1.88  2003/12/23 10:16:59  trojan
- updated to 1.3.7

Revision 1.87  2003/12/17 18:46:09  adgor
- Readded home-_etc.patch

Revision 1.86  2003/12/16 14:32:46  trojan
- updated to 1.3.6

Revision 1.85  2003/11/23 12:45:27  adgor
- home_etc.patch fixed for current version
- Release 2

Revision 1.84  2003/11/23 12:04:57  adgor
- Current version is 1.3.5 (!)
- Added missing changelog
- Witek: the patch doesn't apply to 1.3.5 - fix it

Revision 1.83  2003/11/23 06:52:40  witekfl
- added home_etc.patch
- rel 2

Revision 1.82  2003/11/19 10:53:40  trojan
- updated to 1.3.5

Revision 1.81  2003/11/04 07:52:07  trojan
- updated to 1.3.4
- commented out etc_dir patch (needs update)

Revision 1.80  2003/10/21 08:24:54  adamg
- updated to 1.3.3

Revision 1.79  2003/09/26 13:51:58  adgor
- Added vfolders.patch
- Fixed %%install & %%files
- Release 2

Revision 1.78  2003/08/28 08:20:31  ankry
- cosmetics

Revision 1.77  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.76  2003/06/14 08:35:16  trojan
- updated to 1.3.2

Revision 1.75  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.74  2003/05/25 05:48:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.73  2003/04/07 12:22:03  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.72  2003/04/06 20:47:38  gotar
- commented out broken patch

Revision 1.71  2003/03/29 18:44:35  juandon
- added home_etc.patch
- Release 2

Revision 1.70  2003/03/15 20:22:58  gotar
- moved from gtk2 branch to HEAD

Revision 1.67.2.2  2003/03/15 14:11:11  gotar
- upgraded to 1.3.1,
- BR: pkgconfig,
- back to ac/am & %%configure.

Revision 1.67.2.1  2003/02/14 21:41:47  wrobell
- ver 1.3

Revision 1.67  2003/02/08 00:10:28  gotar
- added french description

Revision 1.66  2003/02/07 23:26:48  radek
- updated Source0 URL

Revision 1.65  2003/02/07 23:07:08  gotar
- upgraded to 1.2.1

Revision 1.64  2003/01/24 10:49:38  gotar
- moved %{__gettextize} to it's right place

Revision 1.63  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.62  2003/01/15 08:29:57  adgor
- Fixed mandir location

Revision 1.61  2002/12/19 16:49:20  gotar
- updated to 1.2.0,
- added BR: libpng-devel,
- added %{_autoheader} and %{_gettextize} invokes,
- added man page.

Revision 1.60  2002/10/20 11:18:39  malekith
- fixed ,,missing'' typo

Revision 1.59  2002/10/20 11:17:38  malekith
- updated to 1.1.6
- if gnome libs are not found, desktop files are not installed; so install
  them by hand

Revision 1.58  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.57  2002/07/03 23:36:38  kloczek
- updated to 1.1.5 (bug fix relese).

Revision 1.56  2002/06/22 17:01:21  migo
- changed Source0 to ftp.sourceforge.net

Revision 1.55  2002/05/06 15:54:16  pioklo
-up to 1.1.4,STBR

Revision 1.54  2002/04/25 16:29:50  arturs
fixed a small typo

Revision 1.53  2002/04/19 12:03:21  pioklo
- up to 1.1.3 , STBR

Revision 1.52  2002/04/09 09:26:47  pioklo
- updated to 1.1.2 remove outdated ac_fix_FALSE patch.

Revision 1.51  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.50  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/02/04 05:22:04  kloczek
- ac_fix_FALSE patch is back.

Revision 1.47  2002/02/04 03:48:26  kloczek
- updated to 1.0.2 remove outdated ac_fix_FALSE patch.

Revision 1.46  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2002/01/03 05:54:08  kloczek
- updated to 1.0.1 (only updated uk and aadded new cs translation).

Revision 1.44  2001/12/15 20:22:19  kloczek
- updated to final 1.0 (translations only updated).

Revision 1.43  2001/12/14 00:51:54  kloczek
- updated to 0.99.3 (updated ionly translatios).

Revision 1.42  2001/12/06 10:59:45  kloczek
- updated to 0.99.2 (updated translations only).

Revision 1.41  2001/11/26 08:28:41  kloczek
- updated to 0.99.1.

Revision 1.40  2001/11/21 08:07:41  kloczek
- updated to 0.99.0.

Revision 1.39  2001/11/19 10:31:48  kloczek
- updated to 0.13.0.

Revision 1.38  2001/10/21 13:22:42  kloczek
- updated to 0.12.0,
- added regenerate ac/am files (added ac_fix_FALSE patch for allow regenerate
  ac files using autoconf 2.5.x).

Revision 1.37  2001/03/21 00:28:53  kloczek
- updated to 0.11.0.

Revision 1.36  2001/03/03 12:40:00  kloczek
- updated to 0.10.1.

Revision 1.35  2001/02/21 02:37:01  kloczek
- updated to 0.10.0.

Revision 1.34  2001/02/13 17:02:19  kloczek
- updated to 0.9.5.

Revision 1.33  2001/02/06 05:33:21  kloczek
- updated to 0.9.4.

Revision 1.32  2001/01/27 21:36:47  kloczek
- typo.

Revision 1.31  2001/01/27 21:24:50  kloczek
- updated to 0.9.2,
- relace imlib-devel by gdk-pixbuf-devel >= 0.9.0 in BuildRequires rules
  (now gqview uses gdk-pixbuf),
- added using %%{_pixmapsdir} macro in %files.

Revision 1.30  2000/09/30 19:55:56  kloczek
- updated to 0.9.1.

Revision 1.29  2000/07/25 05:35:00  kloczek
- updated to 0.9.0.

Revision 1.28  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.27  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.26  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/07 09:38:02  kloczek
- updated to 0.8.2,
- desktop file moved to Graphics/Viewers.

Revision 1.24  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.23  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.22  2000/04/15 20:17:37  kloczek
- updated to 0.8.1,
- new URL and Source url,
- removed applnk patch (place desktop file in applnk tree without patching
  source code),
- updated %files list (removed BUGS from %doc)

Revision 1.21  2000/04/09 10:37:19  michuz
- updated to 0.8.0
- added %%find_lang
- added new BuildRequires

Revision 1.20  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.19  2000/03/28 16:54:22  baggins
- translated kloczkish into english

Revision 1.18  1999/12/09 13:29:39  pius
- release 2
- cosmetics

Revision 1.17  1999/12/09 11:20:55  waszi
- moved /etc/X11/applnk to /usr/X11R6/share/applnk

Revision 1.16  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.15  1999/07/17 00:42:04  pius
- reorder in header.

Revision 1.14  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jul 04 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.7.0-1]
- updated to 0.7.0.

* Tue Jun 1 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.6.1-1]
- package is FHS 2.0 compliant,
- spec file rewritten for PLD use,
- based on spec by John Ellis <gqview@geocities.com>.
